Bug 140952 - Obsoletes giflib causes issue with installing giflib
Obsoletes giflib causes issue with installing giflib
Product: Fedora
Classification: Fedora
Component: libungif (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthias Clasen
Depends On:
  Show dependency treegraph
Reported: 2004-11-26 16:49 EST by Michael A. Peters
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-16 11:34:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael A. Peters 2004-11-26 16:49:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
The spec file for libungif sets an Obsoletes for giflib.
Since the Unisys patent has expired, some people may wish to install
the API compatable version of giflib and get lzw compression when
creating gif images.

When they do this, however, the obsoletes tag in libungif causes their
giflib to then be replaced by libungif again with a yum update.

The fix is simple, and should be considered for FC4 - remove the
obsoletes tag from the spec file, so that users who want to replace
libungif with a giflib package can do so without needing to set
excludes in their package update software.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. uninstall libungif and replace with giflib that provides identical
2. run yum update
3. yum will want to replace giflib with libungif

Additional info:

Workaround - tell yum/up2date/apt to ignore libungif if you want to
replace it with a giflib rpm.

Note You need to log in before you can comment on or make changes to this bug.